%define major 6
%define libxt %mklibname xt %major
%define libxt_devel %mklibname xt -d

Name: libxt
Summary: X Toolkit Intrinsics library
Version: 1.1.4
Release: %mkrel 3
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXt-%{version}.tar.bz2
BuildRequires: libsm-devel >= 1.0.0
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X Toolkit Intrinsics library used to build older generation toolkits such
as Motif & Xaw.

#-----------------------------------------------------------

%package -n %{libxt}
Summary: X Toolkit Intrinsics library
Group: Development/X11
Requires: x11-font-daewoo-misc
Requires: x11-font-isas-misc
Requires: x11-font-jis-misc
Provides: %{name} = %{version}

%description -n %{libxt}
X Toolkit Intrinsics library used to build older generation toolkits such
as Motif & Xaw.

%files -n %{libxt}
%{_libdir}/libXt.so.%{major}*

#-----------------------------------------------------------

%package -n %{libxt_devel}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxt} = %{version}-%{release}
Provides: libxt-devel = %{version}-%{release}
Obsoletes: %{_lib}xt-static-devel < 1.1.4-2

%description -n %{libxt_devel}
Development files for %{name}.

%files -n %{libxt_devel}
%{_libdir}/libXt.so
%{_libdir}/pkgconfig/xt.pc
%{_includedir}/X11/Core.h
%{_includedir}/X11/VarargsI.h
%{_includedir}/X11/RectObj.h
%{_includedir}/X11/TranslateI.h
%{_includedir}/X11/Vendor.h
%{_includedir}/X11/CallbackI.h
%{_includedir}/X11/ResConfigP.h
%{_includedir}/X11/IntrinsicI.h
%{_includedir}/X11/IntrinsicP.h
%{_includedir}/X11/ConstrainP.h
%{_includedir}/X11/Constraint.h
%{_includedir}/X11/InitialI.h
%{_includedir}/X11/EventI.h
%{_includedir}/X11/ObjectP.h
%{_includedir}/X11/Xtos.h
%{_includedir}/X11/CreateI.h
%{_includedir}/X11/Intrinsic.h
%{_includedir}/X11/CoreP.h
%{_includedir}/X11/Object.h
%{_includedir}/X11/CompositeP.h
%{_includedir}/X11/HookObjI.h
%{_includedir}/X11/RectObjP.h
%{_includedir}/X11/ConvertI.h
%{_includedir}/X11/Shell.h
%{_includedir}/X11/ShellI.h
%{_includedir}/X11/ShellP.h
%{_includedir}/X11/StringDefs.h
%{_includedir}/X11/VendorP.h
%{_includedir}/X11/SelectionI.h
%{_includedir}/X11/PassivGraI.h
%{_includedir}/X11/Composite.h
%{_includedir}/X11/ThreadsI.h
%{_includedir}/X11/ResourceI.h
%{_mandir}/man3/Xt*.3*
%{_mandir}/man3/Menu*
%{_datadir}/doc/libXt/*

#-----------------------------------------------------------

%prep
%setup -q -n libXt-%{version}
%apply_patches

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.1.4-3.mga4
+ Revision: 533081
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.1.4-2.mga4
+ Revision: 469571
- drop unneeded requires
- drop old Mdv era conflicts/obsoletes
- disable static devel pkg

* Fri May 31 2013 tv <tv> 1.1.4-1.mga4
+ Revision: 433594
- new release

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.1.3-3.mga3
+ Revision: 397177
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.1.3-2.mga3
+ Revision: 358636
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 tv <tv> 1.1.3-1.mga3
+ Revision: 249737
- drop merged patch
- new release

* Tue Mar 13 2012 tv <tv> 1.1.2-2.mga2
+ Revision: 223183
- apply a revert patch from upstreal that causes issues (mga#4907, fdo#47203)

* Fri Mar 09 2012 tv <tv> 1.1.2-1.mga2
+ Revision: 222190
- adjust file list
- new release

* Sun Nov 20 2011 dmorgan <dmorgan> 1.1.1-3.mga2
+ Revision: 170141
- Remove .la files

* Thu Mar 24 2011 boklm <boklm> 1.1.1-2.mga1
+ Revision: 76187
- rebuild for bug #497

* Thu Mar 10 2011 tv <tv> 1.1.1-1.mga1
+ Revision: 67790
- new release

* Sat Mar 05 2011 tv <tv> 1.1.0-1.mga1
+ Revision: 64670
- new release

* Thu Jan 13 2011 ahmad <ahmad> 1.0.9-4.mga1
+ Revision: 7901
- drop old/unneeded scriptlets
- imported package libxt


* Tue Nov 30 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.9-3mdv2011.0
+ Revision: 603752
- Improve package description.
  Based on the 1.0.9 release announcement email and cgit description.

* Mon Nov 29 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.9-2mdv2011.0
+ Revision: 603126
- Require x11-font-daewoo-misc, x11-font-isas-misc and x11-font-jis-misc
  If the fonts required by libxt are not present, xlib can spend a lot of time
  looking for them, which makes simple apps like "xmessage" and "xcalc" take
  almost 10 seconds to start on systems with a lot of fonts. This case is usually
  triggered by Xt apps that call XtSetLanguageProc on UTF-8 systems. Since UTF-8
  is the default, require the fonts.
  CCBUG: 60967

* Fri Oct 29 2010 Thierry Vignaud <tv@mandriva.org> 1.0.9-1mdv2011.0
+ Revision: 589851
- new release

* Wed Mar 17 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.8-1mdv2010.1
+ Revision: 523757
- New version: 1.0.8

* Tue Nov 24 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.7-3mdv2010.1
+ Revision: 469706
- Fix Requires for static-devel

* Tue Nov 17 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.7-2mdv2010.1
+ Revision: 466919
- Adapt to correct library naming policy.

* Tue Nov 10 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.7-1mdv2010.1
+ Revision: 464044
- New version: 1.0.7

* Sat Jul 04 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.6-1mdv2010.0
+ Revision: 392296
- update to new version 1.0.6
- drop patch 1, fixed upstream

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-4mdv2009.0
+ Revision: 229747
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Mon Jan 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.5-2mdv2008.1
+ Revision: 151688
- Update BuildRequires and rebuild.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1.0.5-1mdv2008.1
+ Revision: 129296
- kill re-definition of %%buildroot on Pixel's request
- fix man pages extension


* Mon Feb 05 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.5-1mdv2007.0
+ Revision: 116293
- new upstream version: 1.0.5

* Tue Nov 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.4-1mdv2007.1
+ Revision: 85951
- new release

* Wed Aug 30 2006 Antonio Hobmeir Neto <neto@mandriva.com> 1.0.2-3mdv2007.0
+ Revision: 58635
- Linking cplusplus for solve problem in compiling ddd aplication. (#24097)

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - X11R7.1
    - increment release
    - fixed more dependencies
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

